## pagemon 0.01.08

=== Makefile ===
#
# Copyright (C) 2015-2016 Colin Ian King
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Colin Ian King <colin.i.king@gmail.com>
#

VERSION=0.01.08

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
LDFLAGS += -lncurses

BINDIR=/usr/sbin
MANDIR=/usr/share/man/man8

SRC = pagemon.c perf.c
OBJS = $(SRC:.c=.o)

pagemon: $(OBJS) Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS)

pagemon.o: pagemon.c perf.h Makefile
perf.o: perf.c perf.h Makefile

pagemon.8.gz: pagemon.8
	gzip -c $< > $@

dist:
	rm -rf pagemon-$(VERSION)
	mkdir pagemon-$(VERSION)
	cp -rp README Makefile pagemon.c pagemon.8 perf.c perf.h COPYING pagemon-$(VERSION)
	tar -zcf pagemon-$(VERSION).tar.gz pagemon-$(VERSION)
	rm -rf pagemon-$(VERSION)

clean:
	rm -f pagemon pagemon.o pagemon.8.gz pagemon-$(VERSION).tar.gz

install: pagemon pagemon.8.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp pagemon ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp pagemon.8.gz ${DESTDIR}${MANDIR}

=== debian/changelog ===
pagemon (0.01.08-1) unstable; urgency=medium

  * Makefile: bump version
  * Add more page info to checksum on to ensure we have identical maps
  * Fix wrapping of paragraph in man page
  * Update date in manual
  * Reduce scope of ret
  * Move initialization of vars to avoid -Wclobber gcc warnings
  * Add clean up on segfault or bus error sig handling
  * Guard against cursor_index being outside npages range
  * Check if process is still alive before waiting for next iteration
  * Don't break on failed seek or read of map info
  * Add 'c' key to close pop up windows
  * Update -p thunderbird example in man page
  * More 80 column friendly source changes
  * Improve error handling on -p option
  * Enable -p option to have the PID or name of the process to monitor
  * Better checking for bytes read on page info reads
  * Fix zoom scaling on memory view
  * Remove commented out memset

 -- Colin King <colin.king@canonical.com>  Sun, 31 Jan 2016 12:25:11 +0000

pagemon (0.01.07-1) unstable; urgency=medium

  * Makefile: bump version
  * Mix checksum up a bit more and return OK if nothing has changed
  * Makefile: add perf.c perf.h to make dist rule
  * Add 'p' option to man page and update date
  * Optimize page reading, reduced by ~2% CPU
  * Clean up perf code
  * Add perf page statistics 'p' option
  * Update help info
  * Add some more comments
  * Replace int64_t types with stronger typing
  * Minor re-ordering of global vars to save a few bytes
  * Free pages and add some smarts to free/calloc
  * Add some more comments
  * Add OOM score to VM stats
  * Optimize read_maps: don't re-scan page mapping if nothing changed
  * Reduce amount of seeks and reads on pagemap data

 -- Colin King <colin.king@canonical.com>  Sat, 30 Jan 2016 00:38:15 +0000

pagemon (0.01.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Update man page date
  * Add some more comments
  * Re-position pop-up windows a bit more
  * Add more comments
  * Rename MAX_MMAPS to MAX_MAPS
  * Check process is alive before fetching maps
  * Cleaner termination of windows at end, less flicker and delay
  * Shunt pop up windows up by 1 row
  * Add page fault info in VM pop up
  * Handle resizing in a less flickering way
  * Make VM information stick to right hand side of window
  * Get zoom scaling correct for small applications
  * Add another const on static data structure
  * Cleanly shutdown on SIGSEGV and SIGBUS
  * More clean ups and constifications
  * Some very minor code clean ups
  * Pass xmax, ymax using position_t ptr
  * Replace LINES with p->ymax
  * Add [ ] keys to set zoom mode to min/max
  * Move window resizing so it happens just before a new redraw
  * Minor rework of read_maps to save a few cycles
  * Optimize the page hotspot with large maps, also saves a division
  * Add -v option
  * Don't poll on reading pages so frequently
  * Fix segfault when memory shrinks and cursor falls off end of memory

 -- Colin King <colin.king@canonical.com>  Fri, 22 Jan 2016 23:22:35 +0000

pagemon (0.01.05-1) unstable; urgency=medium

  * Makefile: bump version
  * Make source 80 column friendly
  * Move static globals into a global struct
  * Remove a few blank lines
  * Add -a to mini help info
  * Remove some trailing white spaces
  * Only do auto zoom when looking at pages
  * Fix date list in copyright boilerplate, replace , with -
  * Update dates in man page
  * Widen int32_t to int64_t before computation to avoid overflow (again)
  * Don't divide by mem_info.npages if this is zero (another instance)
  * Widen int32_t to int64_t before computation to avoid overflow
  * Don't divide by mem_info.npages if this is zero
  * Add process state info in VM window
  * Fix percent, don't scale by zoom factor after all
  * Add End key function
  * Make all indexes to pages int64_t just to be consistent
  * Fix index to page map, show the correct page's page map info
  * Don't print memory sizes in bytes, K is the smallest sensible amount
  * Forgot to zoom cursor position to get per page details
  * Add map size to tabbed page info
  * Rename xwidth to xmax
  * Minor formatting tweak
  * Add and use MINIMUM, MAXIMUM macros
  * Add -a automatic zoom mode command line option
  * Add auto zoom mode
  * Add t, T tick rate adjustment between dirty page updates
  * define MIN_TICKS, MAX_TICKS, MIN_ZOOM, MAX_ZOOM
  * Don't reset cursor when zoom keys pressed and in memory map mode
  * Correctly print Map Name in page details toggle view

 -- Colin King <colin.king@canonical.com>  Thu, 21 Jan 2016 00:26:21 +0000

pagemon (0.01.04-1) unstable; urgency=medium

  * Makefile: bump version
  * Add key descriptions to man page
  * Make man page source 80 column friendly
  * Update man page with contributions info.
  * Add position of cursor in terms of % of memory map in top right corner
  * Fix re-sizing window, ensure cursor does not fall out side window
  * Fix page down on page view when we reach end of memory
  * Typo: Ex*c*lusively
  * Don't skip anonymous regions

 -- Colin King <colin.king@canonical.com>  Wed, 20 Jan 2016 00:01:02 +0000

pagemon (0.01.03-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix build warning on 32 bit builds on max_pages evaluation
  * Fix copyright year typo
  * Clean up attribute setting on mem map
  * Add cursor reset helper
  * Only set last_addr on valid data
  * Remove some extraneous lines
  * Default to failure exit status, set to success on OK case.
  * Update copyright info
  * update_xwidth needs to set width based on v rather than view
  * Make mask ULL

 -- Colin King <colin.king@canonical.com>  Thu, 14 Jan 2016 14:08:00 +0000

pagemon (0.01.02-1) unstable; urgency=medium

  * Initial Debian release (Closes: #809403)
  * Makefile: remove -lm -g build flags, bump version
  * Manual: update date
  * Add VM statistics
  * Remove hard coded page size, fix up formatting fields in tab view
  * Access byte from bytes when appropriate, don't mask off top bit to early


=== debian/control ===
Source: pagemon
Section: admin
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libncurses5-dev
Homepage: http://kernel.ubuntu.com/~cking/pagemon

Package: pagemon
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive memory/page monitoring tool
 pagemon is a ncurses based interactive memory/page monitoring tool
 allowing one to browse the memory map of an active running process
 on Linux.

## pagemon 0.01.10

=== Makefile ===
--- 
+++ 
@@ -18,10 +18,20 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.01.08
+VERSION=0.01.10
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 LDFLAGS += -lncurses
+
+
+# Pedantic flags
+#
+ifeq ($(PEDANTIC),1)
+CFLAGS += -Wabi -Wcast-qual -Wfloat-equal -Wmissing-declarations \
+	-Wmissing-format-attribute -Wno-long-long -Wpacked \
+	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
+endif
 
 BINDIR=/usr/sbin
 MANDIR=/usr/share/man/man8

=== debian/changelog ===
pagemon (0.01.10-1) unstable; urgency=medium

  * Makefile: bump version
  * fix shadowing offset variable
  * fix shadowing map variable
  * Makefile: Add PEDANTIC gcc flags

 -- Colin King <colin.king@canonical.com>  Wed, 2 Nov 2016 13:35:11 -0600

pagemon (0.01.09-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update Standards-Version to 3.9.8
  * Remove redundant statement, found using scan-build

 -- Colin King <colin.king@canonical.com>  Tue, 4 Oct 2016 10:37:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libncurses5-dev
 Homepage: http://kernel.ubuntu.com/~cking/pagemon

## pagemon 0.01.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2015-2016 Colin Ian King
+# Copyright (C) 2015-2018 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -18,9 +18,9 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.01.10
+VERSION=0.01.12
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -fPIC
 LDFLAGS += -lncurses

=== debian/changelog ===
pagemon (0.01.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: Add -fPIC
  * Fix build failure on ia64 when perf is not available
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Thu, 11 Jan 2018 09:40:47 +0000

pagemon (0.01.11-1) unstable; urgency=medium

  * Bump version
  * Update Standards-Version to 4.1.2
  * Print physical location rather than pfn

 -- Colin King <colin.king@canonical.com>  Wed, 27 Dec 2017 17:10:12 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 9), libncurses5-dev
 Homepage: http://kernel.ubuntu.com/~cking/pagemon

=== debian/watch ===
version=3
http://kernel.ubuntu.com/~cking/tarballs/pagemon/pagemon-(.+).tar.gz

## pagemon 0.01.14

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.01.12
+VERSION=0.01.14
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -fPIC
 LDFLAGS += -lncurses
@@ -51,12 +51,12 @@
 dist:
 	rm -rf pagemon-$(VERSION)
 	mkdir pagemon-$(VERSION)
-	cp -rp README Makefile pagemon.c pagemon.8 perf.c perf.h COPYING pagemon-$(VERSION)
-	tar -zcf pagemon-$(VERSION).tar.gz pagemon-$(VERSION)
+	cp -rp README Makefile pagemon.c pagemon.8 perf.c perf.h COPYING .travis.yml pagemon-$(VERSION)
+	tar -Jcf pagemon-$(VERSION).tar.xz pagemon-$(VERSION)
 	rm -rf pagemon-$(VERSION)
 
 clean:
-	rm -f pagemon pagemon.o pagemon.8.gz pagemon-$(VERSION).tar.gz
+	rm -f pagemon pagemon.o pagemon.8.gz pagemon-$(VERSION).tar.xz
 
 install: pagemon pagemon.8.gz
 	mkdir -p ${DESTDIR}${BINDIR}

=== debian/changelog ===
pagemon (0.01.14-1) unstable; urgency=medium

  * Makefile: remove .xz tarball on make clean rule
  * debian/watch: change watch file to check for .xz
  * Makefile: use xz compression for tarball
  * Add .travis.yml to make dist rule
  * Makefile: bump version
  * Add kpage count stats
  * Rename idx to avoid name shadowing with global function index
  * Add travis yaml file

 -- Colin King <colin.king@canonical.com>  Mon, 9 Jul 2018 08:35:37 +0100

pagemon (0.01.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Add some more constifications
  * voidify function returns
  * debian/copyright: use secure URI
  * debian/control: update debhelper to >= 11
  * debian/compat: update to 11
  * debian/control: remove trailing empty line

 -- Colin King <colin.king@canonical.com>  Sun, 17 Jun 2018 12:31:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 9), libncurses5-dev
+Build-Depends: debhelper (>= 11), libncurses5-dev
 Homepage: http://kernel.ubuntu.com/~cking/pagemon
 
 Package: pagemon
@@ -13,4 +13,3 @@
  pagemon is a ncurses based interactive memory/page monitoring tool
  allowing one to browse the memory map of an active running process
  on Linux.
-

## pagemon 0.01.16

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2015-2018 Colin Ian King
+# Copyright (C) 2015-2019 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -18,7 +18,7 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.01.14
+VERSION=0.01.16
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -fPIC
 LDFLAGS += -lncurses

=== debian/changelog ===
pagemon (0.01.16-1) unstable; urgency=medium

  * Makefile: bump version
  * Format pagemap_info by casting to uint64_t

 -- Colin King <colin.king@canonical.com>  Tue, 30 Jul 2019 12:55:55 +0100

pagemon (0.01.15-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix spelling mistake
  * Update copyright year
  * Add project page to README
  * Voidify some function returns and minor code clean up

 -- Colin King <colin.king@canonical.com>  Sat, 6 Jul 2019 21:06:23 +0100

## pagemon 0.01.17

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.01.16
+VERSION=0.01.17
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -fPIC
 LDFLAGS += -lncurses

=== debian/changelog ===
pagemon (0.01.17-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: update to compat level 12
  * Fix indexing out-of-range error on g.mem_info.pages when idx
    is out of range (LP: #1845348)

 -- Colin King <colin.king@canonical.com>  Wed, 25 Sep 2019 16:54:22 +0100

## pagemon 0.01.18

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.01.17
+VERSION=0.01.18
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -fPIC
 LDFLAGS += -lncurses

=== debian/changelog ===
pagemon (0.01.18-1) unstable; urgency=medium

  * Makefile: bump version
  * Clear up overflow before widening multiplication static analysis warnings

 -- Colin King <colin.king@canonical.com>  Mon, 16 Dec 2019 13:17:19 +0000

## pagemon 0.01.19

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2015-2019 Colin Ian King
+# Copyright (C) 2015-2020 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -18,7 +18,7 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.01.18
+VERSION=0.01.19
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -fPIC
 LDFLAGS += -lncurses
@@ -35,6 +35,7 @@
 
 BINDIR=/usr/sbin
 MANDIR=/usr/share/man/man8
+BASHDIR=/usr/share/bash-completion/completions
 
 SRC = pagemon.c perf.c
 OBJS = $(SRC:.c=.o)
@@ -51,7 +52,8 @@
 dist:
 	rm -rf pagemon-$(VERSION)
 	mkdir pagemon-$(VERSION)
-	cp -rp README Makefile pagemon.c pagemon.8 perf.c perf.h COPYING .travis.yml pagemon-$(VERSION)
+	cp -rp README Makefile pagemon.c pagemon.8 perf.c perf.h COPYING \
+		.travis.yml bash-completion pagemon-$(VERSION)
 	tar -Jcf pagemon-$(VERSION).tar.xz pagemon-$(VERSION)
 	rm -rf pagemon-$(VERSION)
 
@@ -63,3 +65,5 @@
 	cp pagemon ${DESTDIR}${BINDIR}
 	mkdir -p ${DESTDIR}${MANDIR}
 	cp pagemon.8.gz ${DESTDIR}${MANDIR}
+	mkdir -p ${DESTDIR}${BASHDIR}
+	cp bash-completion/pagemon ${DESTDIR}${BASHDIR}

=== debian/changelog ===
pagemon (0.01.19-1) unstable; urgency=medium

  * Makefile: bump version
  * Add bash completion script
  * Update copyright to 2020

 -- Colin King <colin.king@canonical.com>  Wed, 26 Feb 2020 14:19:22 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 11), libncurses5-dev
+Build-Depends: debhelper (>= 12), libncurses5-dev
 Homepage: http://kernel.ubuntu.com/~cking/pagemon
 
 Package: pagemon

## pagemon 0.01.20

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.01.19
+VERSION=0.01.20
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -fPIC
 LDFLAGS += -lncurses

=== debian/changelog ===
pagemon (0.01.20-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update compat to 13, remove compat file,
    add Rules-Requires-Root rule
  * Zero ws struct to clear static analysis warnings

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 21:07:31 +0100

## pagemon 0.01.21

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.01.20
+VERSION=0.01.21
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -fPIC
 LDFLAGS += -lncurses

=== debian/changelog ===
pagemon (0.01.21-1) unstable; urgency=medium

  * Makefile: bump version
  * handle weird comm field in /proc/$PID/stat
  * use correct sizeof on path_oom

 -- Colin King <colin.king@canonical.com>  Sat, 7 Nov 2020 18:06:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: pagemon
+Rules-Requires-Root: no
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 12), libncurses5-dev
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (=13),
+               libncurses5-dev
 Homepage: http://kernel.ubuntu.com/~cking/pagemon
 
 Package: pagemon

=== debian/watch ===
version=3
http://kernel.ubuntu.com/~cking/tarballs/pagemon/pagemon-(.+).tar.xz

## pagemon 0.01.22

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2015-2020 Colin Ian King
+# Copyright (C) 2015-2021 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -18,7 +18,7 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.01.21
+VERSION=0.01.22
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -fPIC
 LDFLAGS += -lncurses

=== debian/changelog ===
pagemon (0.01.22-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove redundant reset of addr to 0
  * Avoid potential division by zero of window_pages
  * update copyright to 2021

 -- Colin King <colin.king@canonical.com>  Wed, 28 Apr 2021 21:56:41 +0000

## pagemon 0.01.23

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.01.22
+VERSION=0.01.23
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -fPIC
 LDFLAGS += -lncurses
@@ -53,7 +53,7 @@
 	rm -rf pagemon-$(VERSION)
 	mkdir pagemon-$(VERSION)
 	cp -rp README Makefile pagemon.c pagemon.8 perf.c perf.h COPYING \
-		.travis.yml bash-completion pagemon-$(VERSION)
+		.travis.yml bash-completion README.md pagemon-$(VERSION)
 	tar -Jcf pagemon-$(VERSION).tar.xz pagemon-$(VERSION)
 	rm -rf pagemon-$(VERSION)

=== debian/changelog ===
pagemon (0.01.23-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add README.md to dist rule
  * manual: update date, author email and copyright
  * debian/watch: update watch path for tarball, move to version 4
  * debian/copyright: Update copyright and git URL
  * debian/control update author email address and project URL
  * README.md: add bullet points to example videos
  * Add README.md

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 10 Nov 2021 18:19:20 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Rules-Requires-Root: no
 Section: admin
 Priority: optional
-Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 4.1.2
+Maintainer: Colin Ian King <colin.i.king@gmail.com>
+Standards-Version: 4.5.1
 Build-Depends: debhelper (>= 12),
                debhelper-compat (=13),
                libncurses5-dev
-Homepage: http://kernel.ubuntu.com/~cking/pagemon
+Homepage: https://github.com/ColinIanKing/pagemon
 
 Package: pagemon
 Architecture: linux-any

## pagemon 0.02.01

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2015-2021 Colin Ian King
+# Copyright (C) 2015-2023 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -18,7 +18,7 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.01.23
+VERSION=0.02.01
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -fPIC
 LDFLAGS += -lncurses

=== debian/changelog ===
pagemon (0.02.01-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/changelog: fix incorrect month in previous date
  * debian/control: update standards version to 4.6.2
  * debian/control: use libncurses-dev instead of libncurses5-dev
  * Update copyright

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 7 Feb 2023 15:06:54 +0000

pagemon (0.02.00-1) unstable; urgency=medium

  * Makefile: bump to version 0.02.00
  * Debian/control: update debhelper to >= 13
  * Debian/control: update standards version to 4.6.1
  * Update copyright year
  * Remove redundant increment of y
  * Remove redundant assignment to attr
  * Remove unused assignment to ptr

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 6 Dec 2022 17:34:33 +0000

## pagemon 0.02.02

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.02.01
+VERSION=0.02.02
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -fPIC
 LDFLAGS += -lncurses
@@ -58,7 +58,7 @@
 	rm -rf pagemon-$(VERSION)
 
 clean:
-	rm -f pagemon pagemon.o pagemon.8.gz pagemon-$(VERSION).tar.xz
+	rm -f pagemon pagemon.o perf.o pagemon.8.gz pagemon-$(VERSION).tar.xz
 
 install: pagemon pagemon.8.gz
 	mkdir -p ${DESTDIR}${BINDIR}

=== debian/changelog ===
pagemon (0.02.02-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: remove perf.o on clean rule (Closes: #1045314)

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 14 Aug 2023 10:00:00 +0100

## pagemon 0.02.04

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2015-2023 Colin Ian King
+# Copyright (C) 2015-2024 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -18,9 +18,9 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.02.02
+VERSION=0.02.04
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -fPIC
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 LDFLAGS += -lncurses

=== debian/changelog ===
pagemon (0.02.04-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix potential integer overflow on 32 bit multiplications

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 18 Jan 2024 14:59:17 +0000

pagemon (0.02.03-1) unstable; urgency=medium

  * Makefile: bump version
  * perf.h: remove unused function perf_init()
  * Makefile: remove -fPIC build flag
  * debian/rules: add missing hardening flags
  * Update copyright

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 12 Jan 2024 11:29:28 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.5.1
-Build-Depends: debhelper (>= 12),
+Standards-Version: 4.6.2
+Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
-               libncurses5-dev
+               libncurses-dev
 Homepage: https://github.com/ColinIanKing/pagemon
 
 Package: pagemon

## pagemon 0.02.05

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2015-2024 Colin Ian King
+# Copyright (C) 2015-2025 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -18,7 +18,7 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.02.04
+VERSION=0.02.05
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 LDFLAGS += -lncurses

=== debian/changelog ===
pagemon (0.02.05-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update Standards-Version to 4.7.1.1
  * Ensure page_index can never be less than zero
  * Update copyright year

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 26 Feb 2025 14:47:23 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1.1
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
                libncurses-dev

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?V?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://github.com/ColinIanKing/pagemon/tags \
             (?:.*?/)?V?(\d[\d.]*)\.tar\.gz debian uupdate

## pagemon 0.02.06

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2015-2025 Colin Ian King
+# Copyright (C) 2015-2026 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -18,7 +18,7 @@
 # Author: Colin Ian King <colin.i.king@gmail.com>
 #
 
-VERSION=0.02.05
+VERSION=0.02.06
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 LDFLAGS += -lncurses

=== debian/changelog ===
pagemon (0.02.06-1) unstable; urgency=medium

  * Sync to latest upstream version

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 2 Mar 2026 17:09:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.7.1.1
+Standards-Version: 4.7.3
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
                libncurses-dev
